{
    "$schema": "http://json-schema.org/draft-04/schema#",
    "id": "http://ayanova.com/schemas/notification.json#",
    "title": "Notification",
    "type": "object",
    "properties": {
         "_id": {
            "type": "string"
        },
        "customer_id": {
            "type": "string"
        },
        "sentDate": {
            "type": "string",
            "format": "date"
        },
        "subject": {
            "type": "string"
        },
        "sentTo": {
            "type": "array",
            "items": {
                "type": "string",
                "format": "email"
            },
            "minItems": 1,
            "uniqueItems": true
        }
    },
    "required": [
        "customer_id"       
    ],
    "additionalProperties": false
}